Bug 102784 - redhat-config-bind does not generate correct reverse zone files.
redhat-config-bind does not generate correct reverse zone files.
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-bind (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-20 19:24 EDT by Richard June
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-02 16:26:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard June 2003-08-20 19:24:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030507

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start redhat-config-bind
2.Add a forward zone
3.Add a reverse zone
4.Add a record to the forward zone and have it automaticly modify the reverse zone.
    

Actual Results:  /var/named/<reverse>.zone has this.
<ip>    IN  PTR  <hostname>.

Expected Results:  /var/named<reverse>.zone should have this:
<ip>     IN PTR <fqdn>. # AKA <hostname>.<domainname>.

Additional info:

I may be incorrect on my interpretation on what PTR records should look like,
but this has caused me problems in networks where I have subdomains within a
primary domain.
Comment 1 Daniel Walsh 2003-08-22 14:24:52 EDT
Just tried it on  redhat-config-bind-2.0.0-8.src.rpm and it seems to work.

Available in RawHide.
Comment 2 Richard June 2003-08-22 19:20:28 EDT
that's nice and all, but will it make it's way into Taroon and/or Severn? or
will we have to rebuild  it from rawhide?
Comment 3 Daniel Walsh 2003-08-25 08:45:03 EDT
The fixed kit will be in Taroon and Severin when they release the next beta.  It
should be available in Rawhide now if you want to play with it.
Comment 4 Richard June 2003-09-02 15:46:44 EDT
You advised that the redhat-config-bind in rawhide should work, we have a RH 9.0
(Full updates) box that we are testing it on(rpm -e redhat-config-bind;rpm -Uhv
rpm-config-bind-2*), it fails with this error, are there specific packages we
need to have as well as the config-bind package?

On a side note, what is the procedure to get a package included in the RedHat
distribution? I've written a dhcpd configuration tool in the same vein as
redhat-config-bind and would like to see it included someday. :-)

Traceback (most recent call last):
  File "/usr/sbin/redhat-config-bind", line 92, in ?
    cfg = ConfNamed.ConfNamed("/etc/named.conf",ROOTDIR)
  File "/usr/share/redhat-config-bind/ConfNamed.py", line 305, in __init__
    zone=ZoneFile(val[1].strip('"'),self.getDirectory(),self)
  File "/usr/share/redhat-config-bind/ConfNamed.py", line 317, in getDirectory
    return self.options.getOpt("directory")
AttributeError: 'NoneType' object has no attribute 'getOpt'
Comment 5 Daniel Walsh 2003-09-02 16:26:27 EDT
Send me a copy.  What is it written in?  You could add it to rhlp.  I am not
married to this, as this is one of many packages that I own and try to improve.

I have fixed your problem in RawHide

redhat-config-bind-2.0.0-11.src.rpm

Note You need to log in before you can comment on or make changes to this bug.